Skip to main content
GET
/
v2
/
alerts
List Alerts (OpsGenie)
curl --request GET \
  --url https://api.warrn.io/v2/alerts/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tinyId": "<string>",
      "alias": "<string>",
      "message": "<string>",
      "tags": [
        "<string>"
      ],
      "teams": [
        {
          "name": "<string>"
        }
      ]
    }
  ],
  "paging": {
    "next": 123
  },
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.warrn.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token using your Warrn API key.

Query Parameters

limit
integer
default:20
offset
integer
sort
string
default:createdAt
order
enum<string>
default:desc
Available options:
asc,
desc
query
string

Response

OpsGenie-formatted alert list

data
object[]
paging
object
requestId
string<uuid>